varying float fog;

uniform sampler2D Color0;

float depth;

void main()
{
  // set color
  gl_FragColor = mix( vec4( 0.5, 0.3, 0.5, 1.0 ), texture2D( Color0, gl_TexCoord[0].st ), fog );
  //gl_FragColor = vec4( fog, fog, fog, 1.0 );    
}
